package org.fax4j.spi.http;

/**
 * Holds the HTTP response data extracted after the fax request was sent
 * to the web server.
 * 
 * @author 	Sagie Gur-Ari
 * @version 1.02
 * @since	0.1
 */
public class HTTPResponse extends AbstractHTTPPayload
{
	/**The response status*/
	private int statusCode;
	
	/**
	 * This is the default constructor.
	 */
	public HTTPResponse()
	{
		super();
	}

	/**
	 * This function returns the response status.
	 * 
	 * @return 	The response status
	 */
	public int getStatusCode()
	{
		return this.statusCode;
	}

	/**
	 * This function sets the response status.
	 * 
	 * @param 	statusCode
	 * 			The new value for the response status
	 */
	public void setStatusCode(int statusCode)
	{
		this.statusCode=statusCode;
	}
}